#ifndef GRAPHICS_H
#define GRAPHICS_H

#include "ddutil.h"

class Graphics{
private:
	int getViewTile(int tilenum);
	void loaddisplaymap();
	void setmapcoordinates(int x, int y);
	void setvisibility();
	void setvisibility1(int x, int y);
	void setvisibility2();
	bool highlighted;
	char mapcoordinates[16];
	CSurface*	BGB1;
	CSurface*	BGL1;
	CSurface*	BGR1;
	CSurface*	HighlightedTile;
	CSurface*	MapCoordinates;
	CSurface*	Menu1;
	CSurface*	Menu2;
	CSurface*	U5Logo;
	CSurface*	WorldTiles[256];
	RECT animrect;
	RECT editanimrect;
	RECT staticrect;
public:
	Graphics(){highlighted = false;}
	~Graphics(){finish();}
	char* getmapcoordinates();
	char* getWorldTile(int tilenum);
	HRESULT createmapcoordinates(int currentxpos, int currentypos);
	HRESULT InitPictures();
	HRESULT RestoreSurfaces();
	void changeanimrect();
	void drawedittiles();
	void drawmap();
	void drawmenu();
	void finish();
	void initRect();
};

#endif