#ifndef MISCFUNC_H
#define MISCFUNC_H

#include <stdio.h>
#include "maps.h"

class MiscFunc{
private:
	void backupmap();
	void backupmap1(MAP *map1, int map1x, int map1y, int map1z,
				MAP *map2, int map2x, int map2y, int map2z);
	void initialize();
	void loaddisplaymap();
	void loadmap(MAP *mymap, int x, int y, int z, FILE *fp);
	void processkey();
	void savemap(MAP* map1, int x, int y, int z, FILE* fp);
	
	char filepath[_MAX_PATH];
	int level;
	int previousmap;

public:
	void changelevel(int newlevel);
	void changemap(HWND hWnd, int mapname);
	bool checku5directory(HWND hWnd);
	void getPicture(int xpos,int ypos);
	void saveu5directory(HWND hWnd);
	MiscFunc(){initialize();}
	~MiscFunc(){}
};

#endif