#include <stdio.h>

#include "dialogs.h"
#include "resource.h"
#include "globals.h"

LRESULT CALLBACK About(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam){
	switch (message){
		EndDialog(hDlg, LOWORD(wParam));
		case WM_INITDIALOG:
				return TRUE;
				break;

		case WM_COMMAND:
			if (LOWORD(wParam) == IDOK){
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
			}
			break;
	}
    return FALSE;
}

LRESULT CALLBACK GotoPos(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam){
	char userx[32];
	char usery[32];
	int xpos = -1;
	int ypos = -1;
	animate = true;

	switch (message){
		EndDialog(hDlg, LOWORD(wParam));
		case WM_INITDIALOG:
				return TRUE;
				break;

		case WM_COMMAND:
			if (LOWORD(wParam) == IDOK){
				GetDlgItem(hDlg, IDC_XPOS);
				SendDlgItemMessage(hDlg, IDC_XPOS, 
                        WM_GETTEXT, sizeof(userx), 
                        (LPARAM) userx);
				GetDlgItem(hDlg, IDC_YPOS);
				SendDlgItemMessage(hDlg, IDC_YPOS, 
                        WM_GETTEXT, sizeof(usery), 
                        (LPARAM) usery);
				EndDialog(hDlg, LOWORD(wParam));
				if((strcmp(userx,"") != 0) || (strcmp(userx,"") != 0)){
					xpos = atoi(userx);
					ypos = atoi(usery);
					if( (xpos >= 0 && xpos <= maxX) && (ypos >= 0 && ypos <= maxY)){
						currentxpos = xpos;
						currentypos = ypos;
					}
				}
				return TRUE;
			}
			else if (LOWORD(wParam) == IDCANCEL){
				EndDialog(hDlg, LOWORD(wParam));
				return TRUE;
			}
			break;
	}
    return FALSE;
}
